### Method

# WebKit WebResource get_uri

#### Declaration [src]

    const gchar*
    webkit_web_resource_get_uri (
      WebKitWebResource* resource
    )

#### Description [src]

Returns the current active URI of `resource`.

The active URI might change during a load operation:

<orderedlist> <listitem><para> When the resource load starts, the active URI is the requested URI </para></listitem> <listitem><para> When the initial request is sent to the server, `WebKitWebResource::sent-request` signal is emitted without a redirected response, the active URI is the URI of the request sent to the server. </para></listitem> <listitem><para> In case of a server redirection, `WebKitWebResource::sent-request` signal is emitted again with a redirected response, the active URI is the URI the request was redirected to. </para></listitem> <listitem><para> When the response is received from the server, the active URI is the final one and it will not change again. </para></listitem> </orderedlist>

You can monitor the active URI by connecting to the notify::uri signal of `resource`.

Gets property | `WebKit.WebResource:uri`

#### Return value

Type: `const gchar*`

The current active URI of `resource`.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.